#ifndef LOC_FILE_COUNT_H
#define LOC_FILE_COUNT_H
/****************************************************************************
*
* $RCSfile: FileCount.h $
* $Revision: 2.5 $
* $Date: 2004/08/17 22:18:20 $
* $Author: ssolie $
*
*****************************************************************************
*
* Copyright (c) 2004 Steven Solie.  All Rights Reserved.
*
*****************************************************************************
*
* FileCount component
*/

#include "Main.h"


class FileCount {
public:
	FileCount(const char* name, bool mode);
	~FileCount();
	const char* getName() const;
	uint32 getCount() const;
	uint32 getAddedCount() const;
	uint32 getDeletedCount() const;
	bool diffMode() const;
	FileCount& operator +=(uint32 loc);
	FileCount& operator -=(uint32 loc);
private:
	char m_name[MAX_FILE_NAME_LEN];
	uint32 m_loc;
	uint32 m_loc_added;
	uint32 m_loc_deleted;
	bool m_diff_mode;	// true for difference mode
};


#endif
